{user}: {
  lib,
  pkgs,
  config,
  ...
}:
with lib; let
  opt = config.windowManager;
in {
  options.windowManager = mkOption {
    default = null;
    type = lib.types.oneOf ["hyprland" "sway"];
  };

  config =
    if opt == "hyprland"
    then (import ../programs/hyprland.nix {inherit user;} {inherit lib pkgs;})
    else {};
}
